<?php
namespace BooklyPaypalPaymentsStandard\Backend\Modules\Settings\ProxyProviders;

use Bookly\Backend\Modules\Settings\Proxy;
use BooklyPro\Lib\Payment\PayPal;

/**
 * Class Local
 * @package BooklyPaypalPaymentsStandard\Backend\Modules\Settings\ProxyProviders
 */
class Local extends Proxy\PaypalPaymentsStandard
{
    /**
     * @inheritdoc
     */
    public static function prepareToggleOptions( array $options )
    {
        $options[] = array( PayPal::TYPE_PAYMENTS_STANDARD, 'PayPal Payments Standard' );

        return $options;
    }

    /**
     * @inheritdoc
     */
    public static function renderSetUpOptions()
    {
        self::renderTemplate( 'options' );
    }
}